> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aquilax.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a Scan

> Start a new source code scan based on a git code base 🚀



## OpenAPI

````yaml post /api/v2/scan
openapi: 3.0.0
info:
  title: AquilaX AI API Docs
  version: '2.0'
  description: >
    Welcome to the API documentation for AquilaX. Integrate AquilaX for advanced
    data processing and analytics in your applications. Key features include
    seamless data ingestion, powerful processing capabilities, analytics tools,
    real-time updates, and robust security measures. Get started with API keys,
    explore endpoints, understand formats, and implement error
    handling.Authorization is required for all end-points, excluding the one
    under Public Section. To authenticate, a Personal Access Token `PAT` must be
    included in the request header with the name `X-AX-KEY`. Happy coding!
servers:
  - url: https://aquilax.ai
    description: Cloud Instance
security:
  - ApiKeyAuth: []
tags:
  - name: Health
    description: Endpoints for metrics and health check
  - name: Profile
    description: Endpoints for managing user profiles
  - name: Public Scan
    description: Endpoints for scanning a public git repo
  - name: Admin
    description: Endpoints for AquilaX Worker
paths:
  /api/v2/scan:
    post:
      tags:
        - Public Scan
      summary: Start a Scan
      description: Start a new source code scan based on a git code base 🚀
      parameters:
        - name: org
          in: query
          required: true
          schema:
            type: string
            default: your_own_org
        - name: group
          in: query
          required: true
          schema:
            type: string
            default: ''
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: Data to submit on your request to Securitron
              properties:
                git_uri:
                  type: string
                  description: Git URL to scan
                  example: https://github.com/AquilaX-AI/vulnapp-python
                branch:
                  type: string
                  description: Git Branch to Scan, if not set then `main` will be used
                  example: main
                  default: main
      responses:
        '200':
          description: Successful response with a structured text output
          content:
            text/markdown:
              schema:
                type: object
                properties:
                  scan_id:
                    type: string
                    description: Scan ID of the new Scan
                    example: 67e9f3205357d4a0178efde6
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-AX-KEY

````